#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>
#include <EditConstants.au3>


Opt('MustDeclareVars', 1)

Example()

Func Example()
	Local $clock1, $clock2, $clock3, $msg, $s, $m, $h
	
	GUICreate("My GUI", 800, 480, -1, -1, $WS_POPUP, BitOr($WS_EX_TOOLWINDOW, $WS_EX_LAYERED))  ; will create a dialog box that when displayed is centered
	GUISetBKColor(0xC0C0C0)
	GUICtrlCreateLabel('', 0, 0, 800, 480, -1, $GUI_WS_EX_PARENTDRAG) ; ein transparentes Label erstellen, damit man die Uhr verschieben kann
	GUICtrlSetBKColor(-1, 0xC0C0C0) ; Hintergrundfarbe setzen

	$clock1 = GUICtrlCreateLabel(@HOUR, 10, 30, 120, 400) 
	GUICtrlSetFont(-1, 72, 800, 0, 'LCD')
	GUICtrlSetColor(-1, 0xff0000)
	$clock2 = GUICtrlCreateLabel(@MIN, 160, 30, 120, 400) 
	GUICtrlSetFont(-1, 72, 800, 0, 'LCD')
	GUICtrlSetColor(-1, 0xffff00)
	$clock3 = GUICtrlCreateLabel(@SEC, 310, 30, 120, 400) 
	GUICtrlSetFont(-1, 72, 800, 0, 'LCD')
	GUICtrlSetColor(-1, 0x0000ff)
	GUICtrlCreatePic(@ScriptDir & '\nicht loeschen.gif', 0, 0, 1, 1) ; wird fr die Transparenz bentigt (nicht lschen)

	GUISetState()      ; will display an empty dialog box

	; Run the GUI until the dialog is closed
	Do
		$msg = GUIGetMsg()
		If @SEC <> $s Then
			GUICtrlSetData($clock3, @SEC)
			$s = @SEC
		EndIf
		If @MIN <> $m Then
			GUICtrlSetData($clock2, @MIN)
			$m = @MIN
		EndIf
		If @HOUR <> $h Then
			GUICtrlSetData($clock1, @HOUR)
			$h = @HOUR
		EndIf
	Until $msg = $GUI_EVENT_CLOSE

EndFunc   ;==>Example